import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class TransactInterceptorTest {
	@Before
	public void postConstruct() {
	}

	@Test
	public void testAroundInvoke(Transactee transactee) {
		transactee.createAccount();
	}

	@Deployment
	public static Archive<?> deploy() {
		JavaArchive arc = ShrinkWrap.create(JavaArchive.class, "test.jar")
				// WebArchive arc = makeWebArchive()
				.addClasses(Transactee.class)
				.addAsManifestResource("META-INF/beans.xml", "beans.xml");
		System.out.println(arc.toString(true));
		return arc;
	}
}
